{% extends "lab_7/layout/base.html" %}

{% block content %}
    <section name="friend-list" id="friend-list">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-lg-8">
                    <h2> Teman Fasilkom </h2>
                    <div id="friend-list" class="list-group">
                    </div>
                </div>
            </div>
        </div>
    </section>
{% endblock %}
{% block javascript %}
    <script>
        $( document ).ready(function () {
            // {# lengkapi pemanggilan ajax berikut untuk mengambil daftar teman yang ada di database #}
            $.ajax({
                method: "GET",
                url: "{% url "lab-7:get-friends" %}",
                success: function (response) {
                    // #tampilkan list teman ke halaman
                    // #hint : gunakan fungsi jquery append()
                    friends = response["data"]
                    if(friends.length==0) {
                        var html = '<div class="alert alert-danger text-center">\
                            <strong>Oops!</strong> Tidak ada teman\
                            </div>';
                        $("#friend-list").append(html)
                    }

                    else{
                        for ( friend in friends ) {
                          var delete_button = '<span class="pull-right btn btn-xs btn-danger" onclick="deleteFriend('+friends[friend].id +')">Hapus </span>'
                          var html = '<a class="list-group-item clearfix">' +friends[friend].friend_name +" ("+ friends[friend].npm+")"+delete_button+'</a>';
                          $("#friend-list").append(html);
                        }
                    }
                },
                error: function(error){
                    console.log('error',error) // menampilkan pesan error
                }
            });
        });
        var deleteFriend = function(id) {
        $.ajax({
            method: "POST",
            url: "{% url "lab-7:delete-friend" %}",
            data: { friend_id: id},
            success : function (data) {
               console.log('success');
               location.reload();
            },
            error : function (error) {
                console.log(error);
                alert("Error Delete Friend")
            }
        });
    };
    </script>
{% endblock %}
